%define pypi_name greenlet

Name:		python-greenlet
Version:	1.1.2
Release:	%mkrel 1
Summary:	Lightweight in-process concurrent programming
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/greenlet/
Source0:	%{pypi_name}-%{version}.tar.gz
BuildRequires:	glibc-devel

%description
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%package -n python3-greenlet
Summary:	%{summary}

Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-greenlet
The greenlet package is a spin-off of Stackless, a version of CPython that
supports micro-threads called "tasklets".

%prep
%setup -qn %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf src/*.egg-info

%build
%py3_build

%install
%py3_install

# drop tests
rm -rf %{buildroot}%{python3_sitearch}/greenlet/tests/

%files -n python3-greenlet
%{_includedir}/python%{python3_version}/%{pypi_name}/
%{python3_sitearch}/%{pypi_name}*


%changelog
* Mon Aug 22 2022 tex - 1.1.2-1pclos2022
- rebuild against updates

